# [−][src]Module test::stats

🔬 This is a nightly-only experimental API. (`test`)

## Structs

Summary | Experimental Extracted collection of all the summary statistics of a sample set.

## Traits

Stats | Experimental Trait that provides simple descriptive statistics on a univariate set of numeric samples.

## Functions

winsorize | Experimental Winsorize a set of samples, replacing values above the `100-pct` percentile and below the `pct` percentile with those percentiles themselves. This is a way of minimizing the effect of outliers, at the cost of biasing the sample. It differs from trimming in that it does not change the number of samples, just changes the values of those that are outliers.